%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major 2
%define libname %mklibname drm %{major}
%define develname %mklibname drm -d
%define staticdevelname %mklibname drm -d -s

%define kms_major 1
%define libkms %mklibname kms %{kms_major}
%define intel_major 1
%define libintel %mklibname drm_intel %{intel_major}
%define nouveau_major 2
%define libnouveau %mklibname drm_nouveau %{nouveau_major}
%define radeon_major 1
%define libradeon %mklibname drm_radeon %{radeon_major}
%define omap_major 1
%define libomap %mklibname drm_omap %{omap_major}
%define exynos_major 1
%define libexynos %mklibname drm_exynos %{exynos_major}

Summary:	Userspace interface to kernel DRM services
Name:		libdrm
Version:	2.4.51
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT/X11
URL:		http://xorg.freedesktop.org
Source0:	http://dri.freedesktop.org/libdrm/libdrm-%{version}.tar.bz2
Source1:	91-drm-modeset.rules


# Do not try proc for backward Linux compatibility:
Patch0101:	0101-RH-libdrm-2.4.0-no-bc-v1.3.patch

Patch0500:	0500-improve-waiting-for-dri-device-to-appear-when-system.patch

Patch1005:	libdrm_mips_drm_cas.patch
Patch1006:	libdrm_mips_sarea_max.patch

BuildRequires:	kernel-userspace-headers >= 3.3.1-1
BuildRequires:	libpthread-stubs
BuildRequires:	x11-util-macros >= 1.0.1
%if !%bootstrap
BuildRequires:	udev-devel
%endif
BuildRequires:	libpciaccess-devel
BuildRequires:	cairo-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-xsl

%description
Userspace interface to kernel DRM services

%package common
Summary:	Common files for the userspace interface to kernel DRM services
Group:		System/Libraries

%description common
Common files for the userspace interface to kernel DRM services

%package -n	%{libname}
Summary:	Userspace interface to kernel DRM services
Group:		System/Libraries
Provides:	%{name} = %{version}
Requires: %{name}-common

%description -n	%{libname}
Userspace interface to kernel DRM services

%package -n %{libkms}
Summary:  Shared library for KMS
Group:    System/Libraries

%description -n %{libkms}
Shared library for kernel mode setting.

%ifarch %{ix86} x86_64
%package -n	%{libintel}
Summary:	Shared library for Intel kernel DRM services
Group:		System/Libraries
Conflicts:	%{_lib}drm2 < 2.4.5-2

%description -n %{libintel}
Shared library for Intel kernel Direct Rendering Manager services.
%endif

%package -n	%{libnouveau}
Summary:	Shared library for Nouveau kernel DRM services
Group:		System/Libraries

%description -n %{libnouveau}
Shared library for Nouveau kernel Direct Rendering Manager services.

%package -n	%{libradeon}
Summary:	Shared library for Radeon kernel DRM services
Group:		System/Libraries
Conflicts:	%{_lib}drm2 < 2.4.5-2

%description -n %{libradeon}
Shared library for Radeon kernel Direct Rendering Manager services.

%ifarch %arm
%package -n	%{libomap}
Summary:	Shared library for OMAP kernel DRM services
Group:		System/Libraries
Conflicts:	%{_lib}drm2 < 2.4.5-2

%description -n %{libomap}
Shared library for OMAP kernel Direct Rendering Manager services.

%package -n	%{libexynos}
Summary:	Shared library for Exynos kernel DRM services
Group:		System/Libraries
Conflicts:	%{_lib}drm2 < 2.4.5-2

%description -n %{libexynos}
Shared library for EXYNOS kernel Direct Rendering Manager services.

%endif
%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}
Requires:	%{libkms} = %{version}
%ifarch %{ix86} x86_64
Requires:	%{libintel} = %{version}
%endif
Requires:	%{libnouveau} = %{version}
Requires:	%{libradeon} = %{version}
%ifarch %arm
Requires:	%{libomap} = %{version}
Requires:	%{libexynos} = %{version}
%endif
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d}
Obsoletes:	drm-nouveau-devel < 2.3.0-2.20090111.2

%description -n	%{develname}
Development files for %{name}

%package -n	%{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{name}-devel >= %{version}
Requires:	%{libname} = %{version}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{mklibname drm 2 -d -s}

%description -n	%{staticdevelname}
Static development files for %{name}

%prep

%setup -q
%apply_patches

%build
# Needed for patch4
autoreconf -fv --install
%configure2_5x \
    --enable-udev \
%ifarch %arm
    --enable-omap-experimental-api \
    --enable-exynos-experimental-api \
%endif
    --enable-static


%make

%install
rm -rf %{buildroot}

%makeinstall_std 
mkdir -p %{buildroot}%{_udevrulesdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}

find %{buildroot} -type f -name '*.la' -exec rm -f {} \;

# (cg) Note that RH remove drm.h drm_mode.h drm_sarea.h r300_reg.h via_3d_reg.h
# and we should perhaps do the same? (previous attempts have not gone well :)

%clean
rm -rf %{buildroot}

%files common
%{_udevrulesdir}/91-drm-modeset.rules

%files -n %{libname}
%{_libdir}/libdrm.so.%{major}*

%files -n %{libkms}
%{_libdir}/libkms.so.%{kms_major}*

%ifarch %{ix86} x86_64
%files -n %{libintel}
%{_libdir}/libdrm_intel.so.%{intel_major}*
%endif

%files -n %{libnouveau}
%{_libdir}/libdrm_nouveau.so.%{nouveau_major}*

%files -n %{libradeon}
%{_libdir}/libdrm_radeon.so.%{radeon_major}*

%ifarch %arm
%files -n %{libomap}
%{_libdir}/libdrm_omap.so.%{omap_major}*

%files -n %{libexynos}
%{_libdir}/libdrm_exynos.so.%{exynos_major}*
%endif

%files -n %{develname}
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/*.h
%ifarch %arm
%{_includedir}/omap/*.h
%{_includedir}/exynos/*.h
%endif
%{_libdir}/libdrm*.so
%{_libdir}/libkms.so
%{_libdir}/pkgconfig/libdrm*.pc
%{_libdir}/pkgconfig/libkms*.pc
%_mandir/man3/drmAvailable.3.xz
%_mandir/man3/drmHandleEvent.3.xz
%_mandir/man3/drmModeGetResources.3.xz
%_mandir/man7/drm-gem.7.xz
%_mandir/man7/drm-kms.7.xz
%_mandir/man7/drm-memory.7.xz
%_mandir/man7/drm-mm.7.xz
%_mandir/man7/drm-ttm.7.xz
%_mandir/man7/drm.7.xz

%files -n %{staticdevelname}
%{_libdir}/*.a


%changelog
* Thu Jan 09 2014 tmb <tmb> 2.4.51-1.mga4
+ Revision: 566006
- update to 2.4.51
- drop merged patches

* Sun Jan 05 2014 tmb <tmb> 2.4.50-2.mga4
+ Revision: 564838
- radeon: avoid possible divide by 0 in surface manager
- radeon: fix sumo2 pci id
- drop P0008 (intel fence count fix), not accepted upstream

* Tue Dec 03 2013 tv <tv> 2.4.50-1.mga4
+ Revision: 554837
- new release

* Fri Nov 29 2013 tv <tv> 2.4.49-1.mga4
+ Revision: 554076
- new release

* Mon Nov 18 2013 tmb <tmb> 2.4.48-1.mga4
+ Revision: 551762
- 2.4.48:
  - radeon: hawaii support
  - intel: broadwell support
  - nouveau: prevent undefined behavior in nouveau_pushbuf_reloc with gcc-4.8

* Tue Oct 22 2013 umeabot <umeabot> 2.4.47-2.mga4
+ Revision: 541329
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 2.4.47-1.mga4
+ Revision: 495593
- new release

* Sun Aug 11 2013 tmb <tmb> 2.4.46-2.mga4
+ Revision: 465404
- rebuild with new gcc

* Tue Jul 02 2013 tv <tv> 2.4.46-1.mga4
+ Revision: 449647
- new release

* Thu May 23 2013 tv <tv> 2.4.45-1.mga4
+ Revision: 424828
- new release

* Mon May 06 2013 tmb <tmb> 2.4.43-4.mga3
+ Revision: 412437
- Intel: Fix up fence counts (mga #9044, fdo #59771)

* Sat Apr 27 2013 tmb <tmb> 2.4.43-3.mga3
+ Revision: 411327
- radeon: add new SI and Richland pci ids

* Fri Apr 05 2013 tmb <tmb> 2.4.43-2.mga3
+ Revision: 408313
- fixes from upstream git
  makefiles: Add missing headers
  drm: Fix error message in drmWaitVBlank
  intel: Fix Haswell CRW PCI IDs
  intel-decode: Fix gen6 HIER_DEPTH_BUFFER decoding

* Sat Mar 30 2013 tmb <tmb> 2.4.43-1.mga3
+ Revision: 406617
- BR: docbook-xsl
- BR: cairo-devel, xsltproc
- 2.4.43 (bugfixes, Amd Richland APU support)

* Thu Feb 07 2013 tmb <tmb> 2.4.42-1.mga3
+ Revision: 395038
- disable man-pages temporarily
- 2.4.42: bugfixes, adds Amd Oland support

* Thu Jan 17 2013 tmb <tmb> 2.4.41-1.mga3
+ Revision: 388971
- 2.4.41 (bugfix release)

* Sun Jan 13 2013 tmb <tmb> 2.4.40-4.mga3
+ Revision: 380144
- install udev rules in correct place
- intel: Remove the fence count contributions when clearing relocs (P102, upstream)

* Sat Jan 12 2013 umeabot <umeabot> 2.4.40-2.mga3
+ Revision: 357012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 tv <tv> 2.4.40-1.mga3
+ Revision: 316246
- adjust file list
- drop linking patch (merged)
- new release

* Wed Sep 26 2012 rtp <rtp> 2.4.39-2.mga3
+ Revision: 298458
- fix file list
- enable omap and exynos on their arch.

* Fri Aug 24 2012 tv <tv> 2.4.39-1.mga3
+ Revision: 283761
- new release

* Sun Aug 12 2012 tv <tv> 2.4.38-1.mga3
+ Revision: 280968
- new release

* Thu Jul 19 2012 tmb <tmb> 2.4.37-4.mga3
+ Revision: 272373
- rebuild for new glibc

* Tue Jul 10 2012 anssi <anssi> 2.4.37-3.mga3
+ Revision: 269295
- re-add nouveau changes, mesa builds with them now
- drop obsolete unused nouveau configure option

* Sat Jun 30 2012 colin <colin> 2.4.37-2.mga3
+ Revision: 265573
- Back out nouveau changes to allow mesa rebuild

* Fri Jun 29 2012 tv <tv> 2.4.37-1.mga3
+ Revision: 265132
- new release

* Thu Jun 28 2012 tv <tv> 2.4.36-1.mga3
+ Revision: 264792
- new release

* Fri Jun 08 2012 tv <tv> 2.4.35-1.mga3
+ Revision: 257321
- new release

* Wed May 30 2012 tv <tv> 2.4.34-1.mga3
+ Revision: 249731
- fix file list
- nouveau major was bumped
- drop merged patches
- new release

* Tue Apr 03 2012 tmb <tmb> 2.4.33-1.mga2
+ Revision: 228055
- spec cleanups
- intel: add Ivy Bridge GT2 server variant (P1)
- update to 2.4.33 (needed for radeon backport)

* Wed Feb 08 2012 tv <tv> 2.4.31-1.mga2
+ Revision: 206565
- new release

* Fri Jan 06 2012 tv <tv> 2.4.30-1.mga2
+ Revision: 192736
- new release

* Tue Dec 13 2011 tv <tv> 2.4.29-1.mga2
+ Revision: 181219
- new release
- new release

* Tue Dec 06 2011 tmb <tmb> 2.4.27-2.mga2
+ Revision: 177789
- rebuild with gcc-4.6.2

* Sun Oct 30 2011 tv <tv> 2.4.27-1.mga2
+ Revision: 160173
- new release

* Thu Jun 09 2011 tv <tv> 2.4.26-1.mga2
+ Revision: 102708
- new release
- BuildRequires: libpciaccess-devel

* Fri Apr 15 2011 tv <tv> 2.4.25-1.mga1
+ Revision: 85649
- new release

* Thu Mar 03 2011 tv <tv> 2.4.24-1.mga1
+ Revision: 63431
- new release

* Sun Jan 23 2011 blino <blino> 2.4.23-2.mga1
+ Revision: 35365
- rebuild with udev

* Tue Jan 11 2011 dmorgan <dmorgan> 2.4.23-1.mga1
+ Revision: 5564
- Disable udev for now

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package libdrm


* Fri Dec 17 2010 Colin Guthrie <cguthrie@mandriva.org> 2.4.23-1mdv2011.0
+ Revision: 622605
- New version: 2.4.23

* Wed Sep 29 2010 Colin Guthrie <cguthrie@mandriva.org> 2.4.22-1mdv2011.0
+ Revision: 582082
- New version: 2.4.22

* Fri Sep 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2.4.21-2mdv2011.0
+ Revision: 580864
- Add upstream patch for to allow new intel driver to compile.

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 2.4.21-1mdv2011.0
+ Revision: 555148
- new release

* Wed May 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.20-2mdv2010.1
+ Revision: 544575
- Add upstream patch to fix memory corruption for intel

* Sat Apr 03 2010 Anssi Hannula <anssi@mandriva.org> 2.4.20-1mdv2010.1
+ Revision: 530881
- new version 2.4.20
  o drm headers moved to /usr/include/libdrm; software depending on
    libdrm that use pkgconfig should not need any changes
- remove upstream patches
- remove now unneeded configure option for radeon experimental api

* Tue Mar 23 2010 Anssi Hannula <anssi@mandriva.org> 2.4.19-3mdv2010.1
+ Revision: 526934
- add nouveau and intel fixes from git master

* Wed Mar 17 2010 Anssi Hannula <anssi@mandriva.org> 2.4.19-2mdv2010.1
+ Revision: 523324
- unrevert nouveau ABI changes
- add nouveau fixes from git

* Thu Mar 04 2010 Colin Guthrie <cguthrie@mandriva.org> 2.4.19-1mdv2010.1
+ Revision: 514351
- Require libkms in the devel package.
- Fix nouveau revert patch to apply (partial application upstream)
- Add libkms subpackage
- Fix linking (patch from xorg ML)

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Fri Feb 19 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.18-1mdv2010.1
+ Revision: 508129
- New version: 2.4.18
  Remove applied patches (nouveau and intel cherry-picks)
  Temporarily revert 2 nouveau commits that break the abi

* Fri Feb 12 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.17-6mdv2010.1
+ Revision: 505049
- Another cherry-pick for intel to prevent hangs and oops

* Wed Feb 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.17-5mdv2010.1
+ Revision: 503837
- Cherry-pick intel upstream commit to prevent hangups (fd.o #25475)

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 2.4.17-4mdv2010.1
+ Revision: 501482
- update libdrm_nouveau to current git

* Fri Jan 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.17-3mdv2010.1
+ Revision: 498103
- Add 2 patches to fix intel bugs (Xorg crash) reported on IRC

* Wed Jan 06 2010 Anssi Hannula <anssi@mandriva.org> 2.4.17-2mdv2010.1
+ Revision: 486769
- update nouveau part to libdrm git (4 commits)

* Mon Dec 21 2009 Anssi Hannula <anssi@mandriva.org> 2.4.17-1mdv2010.1
+ Revision: 480863
- new release

* Fri Dec 04 2009 Thierry Vignaud <tv@mandriva.org> 2.4.16-1mdv2010.1
+ Revision: 473502
- new release
- rediff patches for path changes

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 2.4.15-0.1mdv2010.1
+ Revision: 463428
- new release

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2.4.14-2mdv2010.0
+ Revision: 449859
- add mips patches (from Arnaud Patard)

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 2.4.14-1mdv2010.0
+ Revision: 447709
- new release

* Thu Sep 17 2009 Thierry Vignaud <tv@mandriva.org> 2.4.13-2mdv2010.0
+ Revision: 443997
- radeon: fix 32/64 bit issue with sign extension

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 2.4.13-1mdv2010.0
+ Revision: 422872
- new release

* Sun Aug 02 2009 Anssi Hannula <anssi@mandriva.org> 2.4.12-2mdv2010.0
+ Revision: 407529
- update nouveau library to git snapshot

* Fri Jul 24 2009 Anssi Hannula <anssi@mandriva.org> 2.4.12-1mdv2010.0
+ Revision: 399497
- new version 2.4.12
- fix underlinking in libdrm_intel (intel-underlinking.patch)
- drop radeon patch, applied upstream (with configure option)
- remove unused patches

* Wed May 20 2009 Colin Guthrie <cguthrie@mandriva.org> 2.4.11-1mdv2010.0
+ Revision: 378087
- New version: 2.4.11
- BuildRequire udev-devel
- Use %%apply_patches

* Sun May 10 2009 Colin Guthrie <cguthrie@mandriva.org> 2.4.9-3mdv2010.0
+ Revision: 374013
- Include a couple of intel fixes from upstream
- Remove old file not referenced in SPEC

* Wed Apr 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.9-2mdv2009.1
+ Revision: 368623
- Increase timeout for dri detection, in speedboot mode only (Mdv bug #49490)

* Thu Apr 16 2009 Colin Guthrie <cguthrie@mandriva.org> 2.4.9-1mdv2009.1
+ Revision: 367601
- New version: 2.4.9
- Drop nouveau headers patch (fixed upstream)

* Fri Apr 10 2009 Anssi Hannula <anssi@mandriva.org> 2.4.9-0.1mdv2009.1
+ Revision: 365759
- obsolete drm-nouveau-devel in correct package

* Wed Apr 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.5-8mdv2009.1
+ Revision: 365194
- Enable patch 5 again, but use upstream timing

* Wed Apr 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.5-7mdv2009.1
+ Revision: 365159
- Disable patch6, it is causing 1min timeout on some systems

* Wed Apr 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.5-6mdv2009.1
+ Revision: 365113
- Patch5: improve wait on dri devices when system is busy (Mdv bug #49490)

* Tue Mar 31 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.5-5mdv2009.1
+ Revision: 362770
- Remove bad worded and unecessary /etc/modprobe.d/i915modeset
  (also it prevents passing custom options to i915 using modprobe)

* Mon Mar 02 2009 Anssi Hannula <anssi@mandriva.org> 2.4.5-4mdv2009.1
+ Revision: 347410
- enable experimental nouveau api
- add missing nouveau headers (missing-nouveau-headers.patch)

* Mon Mar 02 2009 Anssi Hannula <anssi@mandriva.org> 2.4.5-3mdv2009.1
+ Revision: 347380
- fix requires of devel package

* Sun Mar 01 2009 Anssi Hannula <anssi@mandriva.org> 2.4.5-2mdv2009.1
+ Revision: 346373
- own /usr/include/drm
- split libdrm_intel and libdrm_radeon, their major differs
- fix group
- drop duplicate requires
- ensure major correctness
- devel obsoletes drm-nouveau-devel

* Wed Feb 25 2009 Colin Guthrie <cguthrie@mandriva.org> 2.4.5-1mdv2009.1
+ Revision: 344967
- New version: 2.4.5
- Drop upstream patches

* Tue Feb 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.4.4-2mdv2009.1
+ Revision: 342152
- Cherry pick "intel: libdrm support for fence management in execbuf" from master.
  This is needed to enable tiled rendering on intel pre-i965 hardware (cf.
  svn revision 342151 for intel driver).

* Thu Jan 15 2009 Colin Guthrie <cguthrie@mandriva.org> 2.4.4-1mdv2009.1
+ Revision: 329701
- New version: 2.4.4

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.3-2mdv2009.1
+ Revision: 321372
- Fix bogus provides

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.3-1mdv2009.1
+ Revision: 321331
- Update to 2.4.3
- Enable udev support
- Liberate patches from Fedora
- Install udev rules for permissions
- Allow activation of kernel modesetting via kernel cmdline

* Sun Nov 16 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-9mdv2009.1
+ Revision: 303789
- Conflicts with kernel-headers package because of headers being
  provided again by libdrm.

* Thu Nov 13 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.1-8mdv2009.1
+ Revision: 302923
- Install all headers (the ones from kernel-headers are, like, so last season)

* Tue Nov 04 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-7mdv2009.1
+ Revision: 299839
- Rebuild because of eaten static-devel package in latest submit.

* Mon Nov 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-6mdv2009.1
+ Revision: 299592
- libdrm-devel: remove files provided by kernel-headers.

* Mon Nov 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-5mdv2009.1
+ Revision: 299588
- Fix buildrequires version match for kernel-headers.

* Mon Nov 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.1-4mdv2009.1
+ Revision: 299580
- Rebuild with kernel-headers 2.6.27.4-1mnb2

* Sun Nov 02 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.1-3mdv2009.1
+ Revision: 299245
- Unrevert the symbol change commit (intel driver just needs rebuild)

* Sat Nov 01 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.1-2mdv2009.1
+ Revision: 299165
- Fix a crash by reverting upstream commit (for now)

* Sat Nov 01 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.1-1mdv2009.1
+ Revision: 299139
- New version: 2.4.1

* Mon Oct 27 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.0-2mdv2009.1
+ Revision: 297741
- Prevent a lockup in intel_bufmgr_fake

* Tue Oct 21 2008 Colin Guthrie <cguthrie@mandriva.org> 2.4.0-1mdv2009.1
+ Revision: 295881
- Add missing buildrequire for libpthread-stubs
- New version: 2.4.0

* Thu Jul 24 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.3.1-1mdv2009.0
+ Revision: 245954
- Update to verseion 2.3.1

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-8mdv2009.0
+ Revision: 222535
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.3.0-7mdv2008.1
+ Revision: 151897
- Update BuildRequires and rebuild.
  Also disable patch1 as it is being used just to "document" functions called
  from the X Server.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-6mdv2008.1
+ Revision: 150691
- BuildRequires x11-proto-devel for X11/Xfuncproto.h
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Initial listing of symbols required by the ati driver. This is for now a noop
      patch as libraries at first will have all symbols visible.

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-4mdv2008.0
+ Revision: 76972
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-3mdv2008.0
+ Revision: 76831
- new devel name


* Wed Mar 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.3.0-2mdv2007.1
+ Revision: 147232
- When checking wheter to change owner or not, serv_group is unsigned.

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3.0-1mdv2007.1
+ Revision: 84141
- new release

* Thu Jun 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.0.2-1mdv2007.0
+ Revision: 38128
- new upstream version (2.0.2):
   * Updated kernel DRM headers
- rebuild to fix cooker uploading
- X11R7.1
- renaming the specfile as well
- renaming the package to its right name (without the soname)
- do not use soname in the srpm
- Adding X.org 7.0 to the repository

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch0: do not change permission if not requested
    - call ldconfig on lib package install/removal

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix license

